Creates a new checkout transaction for the specified checkout.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/checkouts/{checkoutId}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"currency": "An example name",
"destinationAddresses": [
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "ETH"
}
],
"expiresIn": 123,
"memo": {}
}
'{
"sessionExpiresAt": "2023-11-07T05:31:56Z",
"sessionToken": "dct_A1B2C3...",
"transaction": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"checkoutId": "95b11417-f18f-457f-8804-68e361f9164f",
"amount": "<string>",
"currency": "An example name",
"executionState": "initiated",
"settlementState": "none",
"riskState": "unknown",
"quoteVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"memo": {},
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"destinationAddresses": [
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "ETH"
}
],
"sourceType": "wallet",
"fromAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"fromChainId": "An example name",
"fromChainName": "ETH",
"fromToken": "An example name",
"toAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"toChainId": "An example name",
"toChainName": "ETH",
"toToken": "An example name",
"quote": {
"version": 123,
"fromAmount": "<string>",
"toAmount": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"fees": {
"totalFeeUsd": "<string>",
"gasEstimate": {
"usdValue": "<string>",
"nativeValue": "<string>",
"nativeSymbol": "<string>"
}
},
"estimatedTimeSec": 123,
"rawQuote": {},
"signingPayload": {
"chainName": "ETH",
"chainId": "<string>",
"evmTransaction": {
"to": "<string>",
"data": "<string>",
"value": "<string>",
"gasLimit": "<string>",
"gasPrice": "<string>",
"maxFeePerGas": "<string>",
"maxPriorityFeePerGas": "<string>",
"nonce": 123
},
"evmApproval": {
"tokenAddress": "<string>",
"spenderAddress": "<string>",
"amount": "<string>"
},
"serializedTransaction": "<string>",
"psbt": "<string>"
}
},
"txHash": "<string>",
"broadcastedAt": "2023-11-07T05:31:56Z",
"sourceConfirmedAt": "2023-11-07T05:31:56Z",
"confirmations": 123,
"settlement": {
"toChainId": "An example name",
"toToken": "An example name",
"toAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"completedAt": "2023-11-07T05:31:56Z"
},
"completedAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "An example name",
"message": "<string>",
"category": "An example name",
"stage": "An example name",
"retryable": true,
"details": {}
},
"expiresAt": "2023-11-07T05:31:56Z",
"exchangeSource": {
"exchangeId": "95b11417-f18f-457f-8804-68e361f9164f",
"metadata": {}
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the checkout
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Payment/Deposit amount in the specified currency
50^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
List of destination wallet addresses for fund delivery
Show child attributes
Seconds until the transaction expires (default 3600)
Arbitrary metadata attached to the transaction
Transaction created successfully
When the session token expires. Matches the transaction's expiresAt.
Opaque bearer token for authenticating subsequent calls on this transaction. Returned exactly once — store it immediately. Format: dct_
"dct_A1B2C3..."
Show child attributes
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/checkouts/{checkoutId}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"currency": "An example name",
"destinationAddresses": [
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "ETH"
}
],
"expiresIn": 123,
"memo": {}
}
'{
"sessionExpiresAt": "2023-11-07T05:31:56Z",
"sessionToken": "dct_A1B2C3...",
"transaction": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"checkoutId": "95b11417-f18f-457f-8804-68e361f9164f",
"amount": "<string>",
"currency": "An example name",
"executionState": "initiated",
"settlementState": "none",
"riskState": "unknown",
"quoteVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"memo": {},
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"destinationAddresses": [
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "ETH"
}
],
"sourceType": "wallet",
"fromAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"fromChainId": "An example name",
"fromChainName": "ETH",
"fromToken": "An example name",
"toAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"toChainId": "An example name",
"toChainName": "ETH",
"toToken": "An example name",
"quote": {
"version": 123,
"fromAmount": "<string>",
"toAmount": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"fees": {
"totalFeeUsd": "<string>",
"gasEstimate": {
"usdValue": "<string>",
"nativeValue": "<string>",
"nativeSymbol": "<string>"
}
},
"estimatedTimeSec": 123,
"rawQuote": {},
"signingPayload": {
"chainName": "ETH",
"chainId": "<string>",
"evmTransaction": {
"to": "<string>",
"data": "<string>",
"value": "<string>",
"gasLimit": "<string>",
"gasPrice": "<string>",
"maxFeePerGas": "<string>",
"maxPriorityFeePerGas": "<string>",
"nonce": 123
},
"evmApproval": {
"tokenAddress": "<string>",
"spenderAddress": "<string>",
"amount": "<string>"
},
"serializedTransaction": "<string>",
"psbt": "<string>"
}
},
"txHash": "<string>",
"broadcastedAt": "2023-11-07T05:31:56Z",
"sourceConfirmedAt": "2023-11-07T05:31:56Z",
"confirmations": 123,
"settlement": {
"toChainId": "An example name",
"toToken": "An example name",
"toAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"completedAt": "2023-11-07T05:31:56Z"
},
"completedAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "An example name",
"message": "<string>",
"category": "An example name",
"stage": "An example name",
"retryable": true,
"details": {}
},
"expiresAt": "2023-11-07T05:31:56Z",
"exchangeSource": {
"exchangeId": "95b11417-f18f-457f-8804-68e361f9164f",
"metadata": {}
}
}
}